version.c File Reference
`#include "ruby/ruby.h"`
`#include "version.h"`
`#include <stdio.h>`

Go to the source code of this file.

## Macros

#define | PRINT(type) puts(ruby_##type)
#define | MKSTR(type) rb_obj_freeze(rb_usascii_str_new(ruby_##type, sizeof(ruby_##type)-1))
#define | RUBY_ARCH RUBY_PLATFORM
#define | RUBY_SITEARCH RUBY_ARCH
#define | RUBY_LIB_PREFIX RUBY_EXEC_PREFIX"/lib/ruby"
#define | RUBY_SITE_LIB RUBY_LIB_PREFIX"/site_ruby"
#define | RUBY_VENDOR_LIB RUBY_LIB_PREFIX"/vendor_ruby"
#define | RUBY_LIB RUBY_LIB_PREFIX "/"RUBY_LIB_VERSION
#define | RUBY_SITE_LIB2 RUBY_SITE_LIB "/"RUBY_LIB_VERSION
#define | RUBY_VENDOR_LIB2 RUBY_VENDOR_LIB "/"RUBY_LIB_VERSION
#define | RUBY_ARCHLIB RUBY_LIB "/"RUBY_ARCH
#define | RUBY_SITE_ARCHLIB RUBY_SITE_LIB2 "/"RUBY_SITEARCH
#define | RUBY_VENDOR_ARCHLIB RUBY_VENDOR_LIB2 "/"RUBY_SITEARCH

## Functions

void | Init_version (void)
void | ruby_show_version (void)
void | ruby_show_copyright (void)

## Variables

const int | ruby_api_version []
const char | ruby_version [] = RUBY_VERSION
const char | ruby_release_date [] = RUBY_RELEASE_DATE
const char | ruby_platform [] = RUBY_PLATFORM
const int | ruby_patchlevel = RUBY_PATCHLEVEL
const char | ruby_description [] = RUBY_DESCRIPTION
const char | ruby_copyright [] = RUBY_COPYRIGHT
const char | ruby_engine [] = "ruby"
VALUE | ruby_engine_name = Qnil
const char | ruby_initial_load_paths []

## Macro Definition Documentation

#define MKSTR | ( |  | type | ) | rb_obj_freeze(rb_usascii_str_new(ruby_##type, sizeof(ruby_##type)-1))

Definition at line 17 of file version.c.

Referenced by Init_version().

#define PRINT | ( |  | type | ) | puts(ruby_##type)

Definition at line 16 of file version.c.

Referenced by BSD_vfprintf(), ruby_show_copyright(), and ruby_show_version().

#define RUBY_ARCH RUBY_PLATFORM

Definition at line 20 of file version.c.

#define RUBY_ARCHLIB RUBY_LIB "/"RUBY_ARCH

Definition at line 50 of file version.c.

#define RUBY_LIB RUBY_LIB_PREFIX "/"RUBY_LIB_VERSION

Definition at line 46 of file version.c.

#define RUBY_LIB_PREFIX RUBY_EXEC_PREFIX"/lib/ruby"

Definition at line 32 of file version.c.

#define RUBY_SITE_ARCHLIB RUBY_SITE_LIB2 "/"RUBY_SITEARCH

Definition at line 51 of file version.c.

#define RUBY_SITE_LIB RUBY_LIB_PREFIX"/site_ruby"

Definition at line 35 of file version.c.

#define RUBY_SITE_LIB2 RUBY_SITE_LIB "/"RUBY_LIB_VERSION

Definition at line 47 of file version.c.

#define RUBY_SITEARCH RUBY_ARCH

Definition at line 23 of file version.c.

#define RUBY_VENDOR_ARCHLIB RUBY_VENDOR_LIB2 "/"RUBY_SITEARCH

Definition at line 52 of file version.c.

#define RUBY_VENDOR_LIB RUBY_LIB_PREFIX"/vendor_ruby"

Definition at line 38 of file version.c.

#define RUBY_VENDOR_LIB2 RUBY_VENDOR_LIB "/"RUBY_LIB_VERSION

Definition at line 48 of file version.c.

## Function Documentation

void Init_version | ( | void |  | ) |

Definition at line 113 of file version.c.

References INT2FIX, MKSTR, rb_define_global_const(), ruby_engine_name, RUBY_PATCHLEVEL, RUBY_REVISION, and version().

void ruby_show_copyright | ( | void |  | ) |

Definition at line 158 of file version.c.

References PRINT.

Referenced by process_options().

void ruby_show_version | ( | void |  | ) |

Definition at line 151 of file version.c.

References PRINT.

Referenced by proc_options(), and process_options().

## Variable Documentation

const int ruby_api_version[]

Initial value:
= {
RUBY_API_VERSION_MAJOR,
RUBY_API_VERSION_MINOR,
RUBY_API_VERSION_TEENY,
}

Definition at line 59 of file version.c.

const char ruby_copyright[] = RUBY_COPYRIGHT

Definition at line 69 of file version.c.

const char ruby_description[] = RUBY_DESCRIPTION

Definition at line 68 of file version.c.

Referenced by rb_async_bug_errno(), and report_bug().

const char ruby_engine[] = "ruby"

Definition at line 70 of file version.c.

VALUE ruby_engine_name = Qnil

Definition at line 71 of file version.c.

Referenced by Init_version(), and vm_backtrace_each().

const char ruby_initial_load_paths[]

Definition at line 73 of file version.c.

Referenced by ruby_init_loadpath_safe().

const int ruby_patchlevel = RUBY_PATCHLEVEL

Definition at line 67 of file version.c.

const char ruby_platform[] = RUBY_PLATFORM

Definition at line 66 of file version.c.

const char ruby_release_date[] = RUBY_RELEASE_DATE

Definition at line 65 of file version.c.

const char ruby_version[] = RUBY_VERSION

Definition at line 64 of file version.c.